org.bouncycastle.x509

## Class X509CertStoreSelector

- java.lang.Object
- - java.security.cert.X509CertSelector
  - - org.bouncycastle.x509.X509CertStoreSelector

All Implemented Interfaces:
  java.lang.Cloneable, java.security.cert.CertSelector, Selector

    public class X509CertStoreSelector
    extends java.security.cert.X509CertSelector
    implements Selector

This class is a Selector implementation for X.509 certificates.

See Also:
  `Selector`, `X509Store`, `X509StoreCertCollection`

### Constructor Summary

Constructors
Constructor and Description
`X509CertStoreSelector()`

### Method Summary

Methods
`java.lang.Object` `clone()`
`static X509CertStoreSelector` `getInstance(java.security.cert.X509CertSelector selector)` Returns an instance of this from a `X509CertSelector`.
`boolean` `match(java.security.cert.Certificate cert)`
`boolean` `match(java.lang.Object obj)`

### Methods inherited from class java.security.cert.X509CertSelector

`addPathToName, addPathToName, addSubjectAlternativeName, addSubjectAlternativeName, getAuthorityKeyIdentifier, getBasicConstraints, getCertificate, getCertificateValid, getExtendedKeyUsage, getIssuer, getIssuerAsBytes, getIssuerAsString, getKeyUsage, getMatchAllSubjectAltNames, getNameConstraints, getPathToNames, getPolicy, getPrivateKeyValid, getSerialNumber, getSubject, getSubjectAlternativeNames, getSubjectAsBytes, getSubjectAsString, getSubjectKeyIdentifier, getSubjectPublicKey, getSubjectPublicKeyAlgID, setAuthorityKeyIdentifier, setBasicConstraints, setCertificate, setCertificateValid, setExtendedKeyUsage, setIssuer, setIssuer, setIssuer, setKeyUsage, setMatchAllSubjectAltNames, setNameConstraints, setPathToNames, setPolicy, setPrivateKeyValid, setSerialNumber, setSubject, setSubject, setSubject, setSubjectAlternativeNames, setSubjectKeyIdentifier, setSubjectPublicKey, setSubjectPublicKey, setSubjectPublicKeyAlgID, toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### X509CertStoreSelector

    public X509CertStoreSelector()

### Method Detail

#### match

    public boolean match(java.lang.Object obj)

Specified by:
  `match` in interface `Selector`

#### match

    public boolean match(java.security.cert.Certificate cert)

Specified by:
  `match` in interface `java.security.cert.CertSelector`
Overrides:
  `match` in class `java.security.cert.X509CertSelector`

#### clone

    public java.lang.Object clone()

Specified by:
  `clone` in interface `java.security.cert.CertSelector`
Specified by:
  `clone` in interface `Selector`
Overrides:
  `clone` in class `java.security.cert.X509CertSelector`

#### getInstance

    public static X509CertStoreSelector getInstance(java.security.cert.X509CertSelector selector)

Returns an instance of this from a `X509CertSelector`.

Parameters:
  `selector` - A `X509CertSelector` instance.
Returns:
  An instance of an `X509CertStoreSelector`.
Throws:
  `java.lang.IllegalArgumentException` - if selector is null or creation fails.